PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PRandom Member List

This is the complete list of members for PRandom, including all inherited members.

Generate() | PRandom |
Generate(unsigned maximum) | PRandom |
Generate(unsigned minimum, unsigned maximum) | PRandom |
Number() | PRandom | static
Number(unsigned maximum) | PRandom | static
Number(unsigned minimum, unsigned maximum) | PRandom | static
operator unsigned() | PRandom | inline
PRandom() | PRandom |
PRandom(DWORD seed) | PRandom |
randa | PRandom | protected
randb | PRandom | protected
RandBits enum value | PRandom | protected
randc | PRandom | protected
randcnt | PRandom | protected
randmem | PRandom | protected
randrsl | PRandom | protected
RandSize enum value | PRandom | protected
SetSeed(DWORD seed) | PRandom |